import * as THREE from 'three';
import { UseStore } from 'zustand';
import { context, _createStore as createStore } from 'react-three-fiber';
import type { Instance, LocalState } from 'react-three-fiber/src/core/renderer';
import type { RootState } from 'react-three-fiber/src/core/store';
export declare type MockUseStoreState = UseStore<RootState>;
export declare type MockInstance = Omit<Instance, '__r3f'> & {
    __r3f: Omit<LocalState, 'root' | 'objects'> & {
        root: MockUseStoreState;
        objects: MockSceneChild[];
    };
};
export declare type MockSceneChild = Omit<THREE.Object3D, 'children'> & MockInstance & {
    children: MockSceneChild[];
};
export declare type MockScene = Omit<THREE.Scene, 'children'> & MockInstance & {
    children: MockSceneChild[];
};
export { createStore, context };
